yum update не работает после установки панели

Обсуждение установки и настройки поддерживаемых вебсерверов, а также работы с ними.
dmitry_stas
Сообщения: 207
Зарегистрирован: Вт апр 17, 2018 7:43 am

Re: yum update не работает после установки панели

Сообщение dmitry_stas » Сб сен 14, 2019 12:25 pm

да, сейчас все ок, спасибо

Аватара пользователя
KyKyIIIKuH
Сообщения: 142
Зарегистрирован: Ср мар 14, 2018 11:04 am

Re: yum update не работает после установки панели

Сообщение KyKyIIIKuH » Вт сен 17, 2019 5:51 pm

после чистой установки

при выполнении yum update
--> Проверка сценария
---> Пакет pyserial.noarch 0:2.6-6.el7 помечен как недействительный
--> Обработка зависимостей: pyserial пакета: cloud-init-18.5-3.el7.centos.x86_64
---> Пакет python2-pysocks.noarch 0:1.6.8-4.el7.centos помечен для установки
--> Проверка зависимостей окончена
Ошибка: Пакет: cloud-init-18.5-3.el7.centos.x86_64 (@base)
Необходимо: pyserial
Удаление: pyserial-2.6-6.el7.noarch (@base)
pyserial = 2.6-6.el7
Заменил: python2-pyserial-3.4-1.el7.noarch (myrepo-centos)
Не найдено
Вы можете попробовать --skip-broken чтобы обойти проблему
Вы можете попробовать запустить: rpm -Va --nofiles --nodigest

dmitry_stas
Сообщения: 207
Зарегистрирован: Вт апр 17, 2018 7:43 am

Re: yum update не работает после установки панели

Сообщение dmitry_stas » Ср сен 18, 2019 11:12 am

а у меня
Error: Package: 40:python3-bind-9.11.1-7.P3.el7.centos.noarch (@myrepo-centos)
Requires: python(abi) = 3.4
Removing: python-2.7.5-80.el7_6.x86_64 (@updates)
python(abi) = 2.7
python(abi) = 2.7
Updated By: python-2.7.5-86.el7.x86_64 (base)
python(abi) = 2.7
python(abi) = 2.7
Removing: python3-3.4.3-5.el7.centos.x86_64 (@myrepo-centos)
python(abi) = 3.4
Updated By: python3-3.6.8-10.el7.x86_64 (base)
python(abi) = 3.6
python(abi) = 3.6
Error: Package: python3-pip-10.0.1-3.el7.centos.noarch (myrepo-centos)
Requires: python(abi) = 3.4
Removing: python-2.7.5-80.el7_6.x86_64 (@updates)
python(abi) = 2.7
python(abi) = 2.7
Updated By: python-2.7.5-86.el7.x86_64 (base)
python(abi) = 2.7
python(abi) = 2.7
Removing: python3-3.4.3-5.el7.centos.x86_64 (@myrepo-centos)
python(abi) = 3.4
Updated By: python3-3.6.8-10.el7.x86_64 (base)
python(abi) = 3.6
python(abi) = 3.6
Error: Package: cloud-init-18.5-3.el7.centos.x86_64 (base)
Requires: pyserial
Available: pyserial-2.6-6.el7.noarch (base)
pyserial = 2.6-6.el7
Error: Package: python3-ply-3.9-7.el7.centos.noarch (@myrepo-centos)
Requires: python(abi) = 3.4
Removing: python-2.7.5-80.el7_6.x86_64 (@updates)
python(abi) = 2.7
python(abi) = 2.7
Updated By: python-2.7.5-86.el7.x86_64 (base)
python(abi) = 2.7
python(abi) = 2.7
Removing: python3-3.4.3-5.el7.centos.x86_64 (@myrepo-centos)
python(abi) = 3.4
Updated By: python3-3.6.8-10.el7.x86_64 (base)
python(abi) = 3.6
python(abi) = 3.6
You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
fail2ban-0.9.7-10.el7.centos.noarch has missing requires of fail2ban-sendmail = ('0', '0.9.7', '10.el7.centos')

Аватара пользователя
sbury
Сообщения: 545
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: yum update не работает после установки панели

Сообщение sbury » Пт сен 20, 2019 10:10 am

исправлено
дать с консоли

yum clean all

и сделать переустановку

dmitry_stas
Сообщения: 207
Зарегистрирован: Вт апр 17, 2018 7:43 am

Re: yum update не работает после установки панели

Сообщение dmitry_stas » Вт сен 24, 2019 4:39 pm

sbury писал(а):
Пт сен 20, 2019 10:10 am
исправлено
дать с консоли

yum clean all

и сделать переустановку
viewtopic.php?f=4&t=1728&p=7889#p7889

DrUps
Сообщения: 5
Зарегистрирован: Пт фев 21, 2020 11:05 am

Re: yum update не работает после установки панели

Сообщение DrUps » Пт фев 21, 2020 11:41 am

Столкнулся с аналогичной проблемой. При попытке запуска обновления командой yum update в Centos 7 система не обновляется и ругается на конфликт httpd30 и установленного httpd24 из myrepo-centos.

Код: Выделить всё

  file /usr/lib64/httpd/modules/mod_vhost_alias.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64
  file /usr/sbin/apachectl from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64
  file /usr/sbin/htcacheclean from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64
  file /usr/sbin/rotatelogs from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64
  file /usr/sbin/suexec from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64
  file /usr/share/man/man8/apachectl.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64
  file /usr/share/man/man8/htcacheclean.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64
  file /usr/share/man/man8/httpd.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64
  file /usr/share/man/man8/rotatelogs.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64
  file /usr/share/man/man8/suexec.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64

Error Summary 

Аватара пользователя
sbury
Сообщения: 545
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: yum update не работает после установки панели

Сообщение sbury » Пн фев 24, 2020 8:09 am

панель более не поддерживает апаче ветки 2 . удалите его

yum remove httpd и переустановите связку в панели

DrUps
Сообщения: 5
Зарегистрирован: Пт фев 21, 2020 11:05 am

Re: yum update не работает после установки панели

Сообщение DrUps » Пт мар 06, 2020 8:17 am

sbury писал(а):
Пн фев 24, 2020 8:09 am
панель более не поддерживает апаче ветки 2 . удалите его

yum remove httpd и переустановите связку в панели
yum remove httpd ничего не дал, так как он не был установлен. Удалил через BrainyCP полностью веб сервер (Apache - Nginx - PHP7.3), после на всякий случай yum --remove-leaves remove httpd, после этого удалились apr-util-ldap apr-util apr, после yum clean all, потом через панель установил Apache - Nginx - PHP7.3. После установки сделал yum update, всё обновилось успешно... Но после попытки обновиться через несколько дней опять всё снова повторилось.

Код: Выделить всё

Transaction check error:                                                                                                                                                    
  file /usr/lib64/libapr-1.so.0 from install of apr-1.4.8-5.el7.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                                        
  file /usr/lib64/libaprutil-1.so.0 from install of apr-util-1.5.2-6.el7.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                               
  file /usr/lib64/apr-util-1/apr_ldap-1.so from install of apr-util-ldap-1.5.2-6.el7.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                   
  file /usr/bin/ab from install of httpd-tools-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-tools-2.4.39-12.el7.x86_64                           
  file /usr/bin/htdbm from install of httpd-tools-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-tools-2.4.39-12.el7.x86_64                        
  file /usr/bin/htdigest from install of httpd-tools-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-tools-2.4.39-12.el7.x86_64                     
  file /usr/bin/htpasswd from install of httpd-tools-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-tools-2.4.39-12.el7.x86_64                     
  file /usr/bin/logresolve from install of httpd-tools-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-tools-2.4.39-12.el7.x86_64                   
  file /usr/share/man/man1/...................httpd24-2.4.39-12.el7.x86_64        
  file /usr/lib64/httpd/modules/mod_rewrite.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64           
  file /usr/lib64/httpd/modules/mod_setenvif.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64          
  file /usr/lib64/httpd/modules/mod_speling.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64           
  file /usr/lib64/httpd/modules/mod_status.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64            
  file /usr/lib64/httpd/modules/mod_substitute.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64        
  file /usr/lib64/httpd/modules/mod_suexec.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64            
  file /usr/lib64/httpd/modules/mod_unique_id.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64         
  file /usr/lib64/httpd/modules/mod_userdir.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64           
  file /usr/lib64/httpd/modules/mod_usertrack.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64         
  file /usr/lib64/httpd/modules/mod_version.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64           
  file /usr/lib64/httpd/modules/mod_vhost_alias.so from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64       
  file /usr/sbin/apachectl from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                               
  file /usr/sbin/htcacheclean from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                            
  file /usr/sbin/rotatelogs from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                              
  file /usr/sbin/suexec from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                                  
  file /usr/share/man/man8/apachectl.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                
  file /usr/share/man/man8/htcacheclean.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64             
  file /usr/share/man/man8/httpd.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                    
  file /usr/share/man/man8/rotatelogs.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64               
  file /usr/share/man/man8/suexec.8.gz from install of httpd-30:2.2.34-20.el7.centos.x86_64 conflicts with file from package httpd24-2.4.39-12.el7.x86_64                   

Аватара пользователя
sbury
Сообщения: 545
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: yum update не работает после установки панели

Сообщение sbury » Пт мар 06, 2020 9:01 am

предоставьте полный листинг где эта ошибка. По этому куску, чтото понять проблематично.

дополнительно, покажите вывод
yum clean all

DrUps
Сообщения: 5
Зарегистрирован: Пт фев 21, 2020 11:05 am

Re: yum update не работает после установки панели

Сообщение DrUps » Пт мар 06, 2020 10:28 am

sbury писал(а):
Пт мар 06, 2020 9:01 am
предоставьте полный листинг где эта ошибка. По этому куску, чтото понять проблематично.

дополнительно, покажите вывод
yum clean all

Код: Выделить всё

yum clean all
Loaded plugins: fastestmirror, priorities, remove-with-leaves, versionlock
Cleaning repos: base brainy-glibc_sb brainy-python3_sb epel extras myrepo-centos
              : updates
Cleaning up list of fastest mirrors
Попробовал добавить в versionlock httpd - ничего не изменилось.

Код: Выделить всё

 yum versionlock list
Loaded plugins: fastestmirror, priorities, remove-with-leaves, versionlock
0:apr-1.4.8-5.el7.*
0:apr-util-1.5.2-6.el7.*
0:apr-util-ldap-1.5.2-6.el7.*
0:httpd-2.4.6-90.el7.centos.*
0:httpd-tools-2.4.6-90.el7.centos.*
0:httpd-2.2.34-15.el7.centos.*
0:apr-1.4.8-3.el7.*
0:httpd-tools-2.2.34-15.el7.centos.*
0:httpd-2.2.22-1.el7.centos.*
0:httpd-tools-2.2.22-1.el7.centos.*
30:httpd-tools-2.2.34-20.el7.centos.*
30:httpd-2.2.34-20.el7.centos.*
versionlock list done

Ответить